Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Account Management
  • Alias
  • Application
  • Application Admin
  • Application Licensing
  • Audit
  • Backup
  • Directory
  • Directory Admin
  • Group Admin
  • Group Level Admin
  • Groups
  • Groups Membership
  • LDAP Connection Pool
  • Look and Feel
  • Mail Server
  • Remember Me
  • SAML Configuration
  • Server Info
  • Sessions
  • Token
  • User Admin
  • User Authentication
  • Users
Server
Crowd Data Center / / REST API

Group Admin

Postman Collection
OpenAPI
GET

Search directory groups

Searches the given directory for groups matching the search term

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

directoryId

integer

Required

Query parameters

start

integer

limit

integer

term

string

active

boolean

Responses

a paginated list of groups

application/json

any

GET/rest/admin/1.0/group/search/{directoryId}
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/rest/admin/1.0/group/search/{directoryId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 { "values": [ { "id": "1-Y3Jvd2QtYWRtaW5pc3RyYXRvcnM", "active": true, "name": "crowd-administrators", "description": "Crowd administrators" }, { "id": "1-Y3Jvd2QtYWRtaW5pc3RyYXRvcnM", "active": true, "name": "crowd-administrators", "description": "Crowd administrators" } ], "size": 2, "start": 1, "limit": 2, "isLastPage": false }
GET

Get nested groups

Returns group's direct members (groups)

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

groupId

string

Required

Query parameters

start

integer

limit

integer

Responses

a paginated list of nested groups

application/json

any

GET/rest/admin/1.0/group/{groupId}/groups
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/rest/admin/1.0/group/{groupId}/groups' \ --header 'Accept: application/json'
POST

Add groups

Adds multiple groups to a single group placed in the same directory

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

groupId

string

Required

Request bodyapplication/json

entity with group's unique identifiers

ids

array<string>

Responses

returned if operation of adding users to group was completed

application/json

any

POST/rest/admin/1.0/group/{groupId}/groups
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'http://{baseurl}/rest/rest/admin/1.0/group/{groupId}/groups' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ "1900-Y3Jvd2QtdXNlcnM", "1900-YmFkZ2Vycw", "1900-c3Rhc2gtdXNlcnM" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "successes": [ "1900-Y3Jvd2QtdXNlcnM" ], "failures": [ { "entity": "1900-YmFkZ2Vycw", "reason": "Some reason of failure" }, { "entity": "1900-c3Rhc2gtdXNlcnM", "reason": "Another reason of failure" } ] }

Rate this page: